local ns = {};
setmetatable(ns, {__index = _G});
test_map = ns;
setfenv(1, ns);

map_name = "Test Map"
map_designers = "Tyler Olsen (Roots)"
map_description = "A map used only for testing purposes of the map mode and map editor. It is not found anywhere in the game."

map_length = 40
map_height = 28
number_tilesets = 5
number_tile_layers = 3
number_map_contexts = 3

tileset_filenames = {}
tileset_filenames[1] = "lua/data/tilesets/desert_ground.lua"
tileset_filenames[2] = "lua/data/tilesets/desert_house_exterior.lua"
tileset_filenames[3] = "lua/data/tilesets/desert_house_interior.lua"
tileset_filenames[4] = "lua/data/tilesets/building_interior_objects_01.lua"
tileset_filenames[5] = "lua/data/tilesets/outdoor_market.lua"

tile_layer_names = {}
tile_layer_names[1] = "Ground"
tile_layer_names[2] = "Middle"
tile_layer_names[3] = "Sky"

tile_layer_collision_enabled = {}
tile_layer_collision_enabled[1] = true
tile_layer_collision_enabled[2] = true
tile_layer_collision_enabled[3] = false

map_context_names = {}
map_context_names[1] = "Base"
map_context_names[2] = "Interior"
map_context_names[3] = "Basement"

map_context_inheritance = {}
map_context_inheritance[1] = -1
map_context_inheritance[2] = 1
map_context_inheritance[3] = -1

collision_grid = {}
collision_grid[0] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[1] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[2] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[3] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[4] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[5] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[6] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[7] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[8] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[9] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[10] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[11] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[12] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[13] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[14] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[15] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[16] = { 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[17] = { 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[18] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[19] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[20] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 6, 6, 6, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[21] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[22] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 3, 3, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 6, 6, 6, 6, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[23] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 6, 6, 6, 6, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[24] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 6, 6, 6, 6, 2, 2, 2, 2, 6, 6, 6, 6, 0, 0, 1, 3, 0, 4, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[25] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 6, 6, 6, 6, 2, 2, 2, 2, 6, 6, 6, 6, 0, 0, 1, 3, 0, 4, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[26] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[27] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 2, 2, 2, 2, 3, 3, 0, 2, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[28] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 1, 3, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[29] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 7, 7, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 1, 3, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[30] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 7, 7, 1, 1, 0, 0, 0, 0, 1, 1, 3, 3, 3, 3, 7, 7, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[31] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 7, 7, 1, 1, 0, 0, 0, 0, 1, 1, 3, 1, 1, 1, 1, 7, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[32] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[33] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[34] = { 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[35] = { 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[36] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[37] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[38] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[39] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[40] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[41] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[42] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[43] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[44] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[45] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[46] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[47] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[48] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[49] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[50] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[51] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[52] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[53] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[54] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[55] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }

map_tiles = {}
map_tiles[0] = {}
map_tiles[1] = {}
map_tiles[2] = {}
map_tiles[3] = {}
map_tiles[4] = {}
map_tiles[5] = {}
map_tiles[6] = {}
map_tiles[7] = {}
map_tiles[8] = {}
map_tiles[9] = {}
map_tiles[10] = {}
map_tiles[11] = {}
map_tiles[12] = {}
map_tiles[13] = {}
map_tiles[14] = {}
map_tiles[15] = {}
map_tiles[16] = {}
map_tiles[17] = {}
map_tiles[18] = {}
map_tiles[19] = {}
map_tiles[20] = {}
map_tiles[21] = {}
map_tiles[22] = {}
map_tiles[23] = {}
map_tiles[24] = {}
map_tiles[25] = {}
map_tiles[26] = {}
map_tiles[27] = {}
map_tiles[0][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][6] = { 123, 125, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][7] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][8] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][9] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][10] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][11] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][12] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][13] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][14] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][15] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][16] = { 123, 126, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][17] = { 123, 127, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][21] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[0][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][1] = { 58, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][6] = { 123, 141, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][7] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][8] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][9] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][10] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][11] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][12] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][13] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][14] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][15] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][16] = { 123, 142, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][17] = { 123, 143, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][24] = { 60, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][29] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[1][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][6] = { 123, 157, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][7] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][8] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][9] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][10] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][11] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][12] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][13] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][14] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][15] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][16] = { 123, 158, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][17] = { 123, 159, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][20] = { 60, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][31] = { 58, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[2][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][2] = { 60, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][6] = { 123, 173, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][7] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][8] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][9] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][10] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][11] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][12] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][13] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][14] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][15] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][16] = { 123, 174, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][17] = { 123, 175, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][24] = { 123, -1, 204, -1, -1, -1, -1, -1, -1 }
map_tiles[3][25] = { 123, -1, 205, -1, -1, -1, -1, -1, -1 }
map_tiles[3][26] = { 123, -1, 206, -1, -1, -1, -1, -1, -1 }
map_tiles[3][27] = { 41, -1, 207, -1, -1, -1, -1, -1, -1 }
map_tiles[3][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[3][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][6] = { 123, 189, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][7] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][8] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][9] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][10] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][11] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][12] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][13] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][14] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][15] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][16] = { 123, 190, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][17] = { 123, 191, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][24] = { 123, -1, 220, -1, -1, -1, -1, -1, -1 }
map_tiles[4][25] = { 123, -1, 221, -1, -1, -1, -1, -1, -1 }
map_tiles[4][26] = { 123, -1, 222, -1, -1, -1, -1, -1, -1 }
map_tiles[4][27] = { 123, -1, 223, -1, -1, -1, -1, -1, -1 }
map_tiles[4][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][32] = { 58, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[4][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][0] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][2] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][7] = { 58, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][20] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][24] = { 123, -1, 236, -1, -1, -1, -1, -1, -1 }
map_tiles[5][25] = { 123, 237, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][26] = { 123, -1, 238, -1, -1, -1, -1, -1, -1 }
map_tiles[5][27] = { 123, -1, 239, -1, -1, -1, -1, -1, -1 }
map_tiles[5][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[5][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][22] = { 123, 254, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][23] = { 123, 255, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][25] = { 123, 253, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[6][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][2] = { 123, -1, 234, -1, -1, -1, -1, -1, -1 }
map_tiles[7][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][9] = { 123, -1, 257, -1, -1, -1, -1, -1, -1 }
map_tiles[7][10] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][11] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][12] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][13] = { 123, -1, 265, -1, -1, -1, -1, -1, -1 }
map_tiles[7][14] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][15] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][16] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][17] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][18] = { 123, -1, 265, -1, -1, -1, -1, -1, -1 }
map_tiles[7][19] = { 123, -1, 258, -1, -1, -1, -1, -1, -1 }
map_tiles[7][20] = { 123, -1, 265, -1, -1, -1, -1, -1, -1 }
map_tiles[7][21] = { 123, -1, 266, -1, -1, -1, -1, -1, -1 }
map_tiles[7][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][31] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[7][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][2] = { 123, 250, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][8] = { 123, -1, 272, -1, -1, -1, -1, -1, -1 }
map_tiles[8][9] = { 123, -1, 273, -1, -1, -1, -1, -1, -1 }
map_tiles[8][10] = { 123, -1, 274, -1, -1, -1, -1, -1, -1 }
map_tiles[8][11] = { 123, -1, 275, -1, -1, -1, -1, -1, -1 }
map_tiles[8][12] = { 123, -1, 276, -1, -1, -1, -1, -1, -1 }
map_tiles[8][13] = { 123, -1, 277, -1, -1, -1, -1, -1, -1 }
map_tiles[8][14] = { 123, -1, 278, -1, -1, 533, -1, -1, 533 }
map_tiles[8][15] = { 123, -1, 279, -1, -1, 534, -1, -1, 534 }
map_tiles[8][16] = { 123, -1, 280, -1, -1, 535, -1, -1, 535 }
map_tiles[8][17] = { 123, -1, 281, -1, -1, 536, -1, -1, 536 }
map_tiles[8][18] = { 123, -1, 279, -1, -1, -1, -1, -1, -1 }
map_tiles[8][19] = { 123, -1, 280, -1, -1, -1, -1, -1, -1 }
map_tiles[8][20] = { 123, -1, 281, -1, -1, -1, -1, -1, -1 }
map_tiles[8][21] = { 123, -1, 282, -1, -1, -1, -1, -1, -1 }
map_tiles[8][22] = { 123, -1, 283, -1, -1, -1, -1, -1, -1 }
map_tiles[8][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[8][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][8] = { 123, -1, 288, -1, -1, -1, -1, -1, -1 }
map_tiles[9][9] = { 123, -1, 289, -1, -1, -1, -1, -1, -1 }
map_tiles[9][10] = { 123, -1, 290, -1, 578, 548, -1, 578, 548 }
map_tiles[9][11] = { 123, -1, 291, -1, -1, 549, -1, -1, 549 }
map_tiles[9][12] = { 123, -1, 292, -1, -1, 553, -1, -1, 553 }
map_tiles[9][13] = { 123, -1, 293, -1, -1, 553, -1, -1, 553 }
map_tiles[9][14] = { 123, -1, 294, -1, -1, 553, -1, -1, 553 }
map_tiles[9][15] = { 123, -1, 295, -1, -1, 550, -1, -1, 550 }
map_tiles[9][16] = { 123, -1, 296, -1, -1, 551, -1, -1, 551 }
map_tiles[9][17] = { 123, -1, 297, -1, -1, 552, -1, -1, 552 }
map_tiles[9][18] = { 123, -1, 295, -1, -1, 553, -1, -1, 553 }
map_tiles[9][19] = { 123, -1, 296, -1, -1, 558, -1, -1, 558 }
map_tiles[9][20] = { 123, -1, 297, -1, -1, 549, -1, -1, 549 }
map_tiles[9][21] = { 123, -1, 298, -1, -1, 559, -1, -1, 559 }
map_tiles[9][22] = { 123, -1, 299, -1, -1, -1, -1, -1, -1 }
map_tiles[9][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[9][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][5] = { 123, -1, 200, -1, -1, -1, -1, -1, -1 }
map_tiles[10][6] = { 123, -1, 201, -1, -1, -1, -1, -1, -1 }
map_tiles[10][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][8] = { 123, -1, 304, -1, -1, -1, -1, -1, -1 }
map_tiles[10][9] = { 123, -1, 305, -1, -1, -1, -1, -1, -1 }
map_tiles[10][10] = { 123, -1, 306, -1, 594, 564, -1, 594, 564 }
map_tiles[10][11] = { 123, -1, 307, 567, -1, 768, 567, -1, -1 }
map_tiles[10][12] = { 123, -1, 308, 568, -1, 769, 568, -1, -1 }
map_tiles[10][13] = { 123, -1, 309, 567, -1, -1, 567, -1, -1 }
map_tiles[10][14] = { 123, -1, 310, 567, 1008, -1, 567, -1, -1 }
map_tiles[10][15] = { 123, -1, 311, 568, -1, -1, 568, -1, -1 }
map_tiles[10][16] = { 123, -1, 312, 565, -1, -1, 565, -1, -1 }
map_tiles[10][17] = { 123, -1, 312, 566, -1, -1, 566, -1, -1 }
map_tiles[10][18] = { 123, -1, 312, 567, 849, -1, 567, -1, -1 }
map_tiles[10][19] = { 123, -1, 312, 568, -1, -1, 568, -1, -1 }
map_tiles[10][20] = { 123, -1, 313, 569, -1, -1, 569, -1, -1 }
map_tiles[10][21] = { 123, -1, 314, -1, -1, 575, -1, -1, 575 }
map_tiles[10][22] = { 123, -1, 315, -1, -1, -1, -1, -1, -1 }
map_tiles[10][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][30] = { 123, 251, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[10][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][5] = { 123, 216, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][6] = { 123, 217, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][8] = { 123, -1, 320, -1, -1, -1, -1, -1, -1 }
map_tiles[11][9] = { 123, -1, 321, -1, -1, -1, -1, -1, -1 }
map_tiles[11][10] = { 123, -1, 322, 512, 795, 580, 512, 795, 580 }
map_tiles[11][11] = { 123, -1, 323, 583, 784, -1, 583, 777, -1 }
map_tiles[11][12] = { 123, -1, 324, 584, 785, -1, 584, 778, -1 }
map_tiles[11][13] = { 123, -1, 325, 583, -1, -1, 583, -1, -1 }
map_tiles[11][14] = { 123, -1, 326, 583, -1, -1, 583, -1, -1 }
map_tiles[11][15] = { 123, -1, 327, 584, -1, -1, 584, 976, 783 }
map_tiles[11][16] = { 123, -1, 328, 581, -1, -1, 581, 976, 830 }
map_tiles[11][17] = { 123, -1, 328, 582, -1, -1, 582, -1, -1 }
map_tiles[11][18] = { 123, -1, 329, 583, -1, -1, 583, -1, -1 }
map_tiles[11][19] = { 123, -1, 328, 584, -1, -1, 584, 561, -1 }
map_tiles[11][20] = { 123, -1, 329, 585, -1, -1, 585, 562, -1 }
map_tiles[11][21] = { 123, -1, 330, -1, -1, 591, -1, 514, 623 }
map_tiles[11][22] = { 73, -1, 331, -1, -1, -1, -1, -1, -1 }
map_tiles[11][23] = { 74, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][24] = { 75, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][25] = { 75, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][26] = { 76, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][27] = { 77, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[11][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][8] = { 123, -1, 336, -1, -1, -1, -1, -1, -1 }
map_tiles[12][9] = { 123, -1, 337, -1, -1, -1, -1, -1, -1 }
map_tiles[12][10] = { 123, -1, 338, 528, -1, 596, 528, -1, 596 }
map_tiles[12][11] = { 123, -1, 339, 597, 800, -1, 597, 793, 820 }
map_tiles[12][12] = { 123, -1, 340, 597, 801, -1, 597, 794, -1 }
map_tiles[12][13] = { 123, -1, 341, 597, -1, -1, 598, -1, -1 }
map_tiles[12][14] = { 123, -1, 342, 597, -1, -1, 599, -1, -1 }
map_tiles[12][15] = { 123, -1, 343, 597, -1, -1, 599, 992, -1 }
map_tiles[12][16] = { 123, -1, 344, 597, -1, -1, 599, 992, -1 }
map_tiles[12][17] = { 123, -1, 344, 597, -1, -1, 599, -1, -1 }
map_tiles[12][18] = { 123, -1, 345, 597, -1, -1, 600, 858, -1 }
map_tiles[12][19] = { 123, -1, 344, 597, -1, -1, 597, 577, 656 }
map_tiles[12][20] = { 123, -1, 345, 597, -1, -1, 597, 578, -1 }
map_tiles[12][21] = { 94, -1, 346, 597, -1, 607, 597, 578, 607 }
map_tiles[12][22] = { 89, -1, 347, -1, -1, -1, -1, -1, -1 }
map_tiles[12][23] = { 90, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][24] = { 91, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][25] = { 91, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][26] = { 92, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][27] = { 93, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[12][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][3] = { 13, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][4] = { 14, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][5] = { 15, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][8] = { 123, -1, 352, -1, -1, -1, -1, -1, -1 }
map_tiles[13][9] = { 123, -1, 353, -1, -1, -1, -1, -1, -1 }
map_tiles[13][10] = { 123, -1, 354, 512, -1, 612, 512, -1, 612 }
map_tiles[13][11] = { 123, -1, 355, 613, -1, 863, 613, 809, -1 }
map_tiles[13][12] = { 123, -1, 356, 604, -1, -1, 597, 810, -1 }
map_tiles[13][13] = { 123, -1, 357, 605, -1, -1, 614, 862, -1 }
map_tiles[13][14] = { 123, -1, 358, 605, -1, -1, 615, -1, -1 }
map_tiles[13][15] = { 123, -1, 359, 606, -1, -1, 615, -1, -1 }
map_tiles[13][16] = { 123, -1, 360, 613, 774, -1, 615, -1, -1 }
map_tiles[13][17] = { 123, -1, 360, 613, 775, -1, 615, -1, -1 }
map_tiles[13][18] = { 123, -1, 361, 613, 776, -1, 616, -1, -1 }
map_tiles[13][19] = { 123, -1, 360, 613, 529, 624, 613, 672, -1 }
map_tiles[13][20] = { 123, -1, 361, 613, 578, -1, 613, -1, -1 }
map_tiles[13][21] = { 123, -1, 362, 613, 578, 623, 613, -1, 623 }
map_tiles[13][22] = { 105, -1, 363, -1, -1, -1, -1, -1, -1 }
map_tiles[13][23] = { 106, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][24] = { 107, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][25] = { 107, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][26] = { 108, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][27] = { 95, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[13][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][3] = { 13, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][4] = { 30, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][5] = { 31, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][8] = { 123, 368, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][9] = { 123, 369, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][10] = { 123, 370, -1, 528, -1, 628, 528, -1, 628 }
map_tiles[14][11] = { 123, 371, -1, 629, 879, -1, 629, 859, -1 }
map_tiles[14][12] = { 123, 372, -1, 620, -1, -1, 597, -1, -1 }
map_tiles[14][13] = { 123, 373, -1, 621, -1, -1, 630, -1, -1 }
map_tiles[14][14] = { 123, 374, -1, 621, -1, -1, 631, -1, -1 }
map_tiles[14][15] = { 123, 375, -1, 622, -1, -1, 631, -1, -1 }
map_tiles[14][16] = { 123, 376, -1, 629, 790, -1, 631, -1, -1 }
map_tiles[14][17] = { 123, 376, -1, 629, 791, -1, 631, -1, -1 }
map_tiles[14][18] = { 123, 377, -1, 629, 792, -1, 632, -1, -1 }
map_tiles[14][19] = { 123, 376, 204, 629, 593, -1, 629, -1, -1 }
map_tiles[14][20] = { 123, 377, 205, 629, 594, -1, 629, -1, -1 }
map_tiles[14][21] = { 123, 378, 206, 629, 594, 639, 629, -1, 639 }
map_tiles[14][22] = { 123, -1, 207, -1, -1, -1, -1, -1, -1 }
map_tiles[14][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[14][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][4] = { 29, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][5] = { 30, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][6] = { 14, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][8] = { 123, 384, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][9] = { 123, 385, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][10] = { 123, 386, -1, -1, 658, 644, -1, 658, 644 }
map_tiles[15][11] = { 123, 387, -1, 646, 658, 645, 646, 658, 645 }
map_tiles[15][12] = { 123, 388, -1, 636, 659, 646, 597, -1, 650 }
map_tiles[15][13] = { 123, 389, -1, 637, -1, 647, 597, -1, 651 }
map_tiles[15][14] = { 123, 390, -1, 637, -1, 648, 597, -1, 650 }
map_tiles[15][15] = { 123, 391, -1, 638, 663, 649, 597, 663, 651 }
map_tiles[15][16] = { 123, 392, 1150, 648, 806, 650, 597, -1, 650 }
map_tiles[15][17] = { 123, 392, 1151, -1, 807, 651, 597, -1, 651 }
map_tiles[15][18] = { 123, 393, -1, -1, 808, 652, 597, 808, 652 }
map_tiles[15][19] = { 123, 392, 220, -1, -1, 653, -1, -1, 653 }
map_tiles[15][20] = { 123, 393, 221, -1, -1, 654, -1, -1, 654 }
map_tiles[15][21] = { 123, 394, 222, -1, -1, 655, -1, -1, 655 }
map_tiles[15][22] = { 123, -1, 223, -1, -1, -1, -1, -1, -1 }
map_tiles[15][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][26] = { 123, -1, 232, -1, -1, -1, -1, -1, -1 }
map_tiles[15][27] = { 123, -1, 233, -1, -1, -1, -1, -1, -1 }
map_tiles[15][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[15][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][10] = { 123, 219, 1252, -1, -1, -1, -1, -1, -1 }
map_tiles[16][11] = { 47, 1221, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][12] = { 123, 1222, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[16][13] = { 26, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[16][14] = { 28, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[16][15] = { 123, 1232, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[16][16] = { 123, 1166, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][17] = { 123, 1167, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][18] = { 123, 1214, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][19] = { 123, 1215, 236, -1, -1, -1, -1, -1, -1 }
map_tiles[16][20] = { 123, 237, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][21] = { 47, -1, 238, -1, -1, -1, -1, -1, -1 }
map_tiles[16][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][26] = { 123, 248, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][27] = { 123, 249, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[16][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][2] = { 123, 252, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][10] = { 123, 1268, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][11] = { 63, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][12] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][13] = { 26, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][14] = { 28, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][15] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][16] = { 123, 1182, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[17][17] = { 123, 1183, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][18] = { 123, 1230, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][19] = { 123, 1231, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][20] = { 123, 253, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][21] = { 63, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][22] = { 46, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][32] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[17][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][0] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][10] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][11] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][12] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][13] = { 42, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][14] = { 44, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][15] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][16] = { 123, 1198, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][17] = { 123, 1199, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[18][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][21] = { 61, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][22] = { 62, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][33] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[18][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][4] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][9] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][10] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][11] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][12] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][13] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][14] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][15] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][16] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][17] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][18] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[19][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[19][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][8] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][9] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][10] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][11] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][12] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][13] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][14] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][15] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][16] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][17] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][18] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][19] = { 123, -1, -1, -2, -2, -2, -1, -1, -1 }
map_tiles[20][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][31] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[20][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][1] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][6] = { 10, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][7] = { 11, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][8] = { 12, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][28] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[21][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][3] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][6] = { 26, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][7] = { 27, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][8] = { 28, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][20] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[22][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][2] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][6] = { 42, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][7] = { 43, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][8] = { 44, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][14] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][23] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][26] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][33] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[23][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][5] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][16] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][30] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[24][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][5] = { 45, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][6] = { 46, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][8] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][13] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][22] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][31] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[25][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][3] = { 41, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][5] = { 61, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][6] = { 62, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][8] = { 25, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][18] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][24] = { 57, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][26] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[26][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][0] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][1] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][2] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][3] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][4] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][5] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][6] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][7] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][8] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][9] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][10] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][11] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][12] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][13] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][14] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][15] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][16] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][17] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][18] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][19] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][20] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][21] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][22] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][23] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][24] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][25] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][26] = { 9, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][27] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][28] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][29] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][30] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][31] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][32] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][33] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][34] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][35] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][36] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][37] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][38] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }
map_tiles[27][39] = { 123, -1, -1, -1, -1, -1, -1, -1, -1 }

